Bug 500637 - A bond's preferred primary setting is lost after bringing down and up of the primary slave.
A bond's preferred primary setting is lost after bringing down and up of the ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.9
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Jiri Pirko
Network QE
: ZStream
Depends On: 499884
Blocks: 507563
  Show dependency treegraph
 
Reported: 2009-05-13 10:09 EDT by Jiri Pirko
Modified: 2015-05-04 21:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 499884
Environment:
Last Closed: 2011-02-16 10:43:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0263 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.9 kernel security and bug fix update 2011-02-16 10:14:55 EST

  None (edit)
Description Jiri Pirko 2009-05-13 10:09:00 EDT
+++ This bug was initially created as a clone of Bug #499884 +++

Description of problem:
The preferred primary setting is lost when you bring down the primary slave.  This preference is not restored after you bring it back up.

Version-Release number of selected component (if applicable):


How reproducible:
By just resetting the primary slave.

Steps to Reproduce:
1. Set up one of the slave as the primary slave
2. cat /proc/net/bonding/bond? to see that it is set.
3. ifdown primary slave
4. ifup primary slave
5.  The preferred setting is not restored.
6. An ifdown and ifup of the bond will restore the setting.
  
Actual results:
The preferred setting is lost.

Expected results:
The preferred setting should be restored once the primary slave cam back up.

Additional info:

--- Additional comment from agospoda@redhat.com on 2009-05-12 12:01:10 EDT ---

While this may be a bug, the 'primary' feature is designed to be used when an interface actually goes down due to a link failure not simply adding it and removing it from the bond.  Can you confirm that still works?

--- Additional comment from mschmidt@redhat.com on 2009-05-13 06:28:34 EDT ---

Which bonding mode do you use?

--- Additional comment from jpirko@redhat.com on 2009-05-13 10:07:36 EDT ---

(In reply to comment #1)
> While this may be a bug, the 'primary' feature is designed to be used when an
> interface actually goes down due to a link failure not simply adding it and
> removing it from the bond.  Can you confirm that still works?  
I disagree here. The 'primary' option is set once (at the module load) and it should be looked at in every time. Even if the interface is temporary removed from the bond and added back in. Actually when you unplug the primary interface cable and plug it back then active slave is switched to primary interface. This issue appears only in tlb and alb mode (not in active-backup). Following upstream patch fixes this issue:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=5a29f7893fbe681f1334285be7e41e56f0de666c
Comment 2 RHEL Product and Program Management 2009-06-05 09:46:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Vivek Goyal 2009-06-15 17:39:18 EDT
Committed in 89.4.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 13 errata-xmlrpc 2011-02-16 10:43:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html

Note You need to log in before you can comment on or make changes to this bug.